GDB (xrefs)

Functions
gdb_signals.h File Reference
`#include "gdb/signals.h"`

Go to the source code of this file.

## Functions
int | gdb_signal_to_host_p (enum gdb_signal signo)
enum gdb_signal | gdb_signal_from_host (int)
int | gdb_signal_to_host (enum gdb_signal)
const char * | gdb_signal_to_symbol_string (enum gdb_signal sig)
const char * | gdb_signal_to_string (enum gdb_signal)
const char * | gdb_signal_to_name (enum gdb_signal)
enum gdb_signal | gdb_signal_from_name (const char *)

## Function Documentation

## ◆ gdb_signal_from_host()

enum gdb_signal gdb_signal_from_host | ( | int |  | ) |

Definition at line 116 of file signals.c.

References _, error(), REALTIME_HI, and REALTIME_LO.

Referenced by check_thread_signals(), core_open(), darwin_decode_message(), get_detach_signal(), handle_output_debug_string(), linux_child_follow_fork(), linux_nat_attach(), linux_nat_filter_event(), linux_nat_pass_signals(), linux_nat_resume(), proc_set_current_signal(), procfs_pass_signals(), procfs_wait(), S_exception_raise_request(), and store_waitstatus().

## ◆ gdb_signal_from_name()

enum gdb_signal gdb_signal_from_name | ( | const char * |  | ) |

Definition at line 91 of file signals.c.

References name, and signals.

Referenced by catch_signal_split_args(), handle_command(), info_signals_command(), nto_initialize_signals(), queue_signal_command(), and signal_command().

## ◆ gdb_signal_to_host()

int gdb_signal_to_host | ( | enum | gdb_signal | ) |

Definition at line 639 of file signals.c.

References _, do_gdb_signal_to_host(), gdb_signal_to_name(), and warning().

Referenced by aix_thread_resume(), darwin_resume(), fbsd_collect_regset_section_cb(), get_detach_signal(), i386_linux_resume(), i386fbsd_resume(), inf_ptrace_resume(), inf_signal(), linux_collect_regset_section_cb(), linux_nat_filter_event(), linux_nat_resume(), procfs_resume(), and resume_lwp().

## ◆ gdb_signal_to_host_p()

int gdb_signal_to_host_p | ( | enum gdb_signal | signo | ) |

Definition at line 631 of file signals.c.

References do_gdb_signal_to_host().

## ◆ gdb_signal_to_name()

const char* gdb_signal_to_name | ( | enum | gdb_signal | ) |

Definition at line 78 of file signals.c.

References GDB_SIGNAL_FIRST, name, and signals.

Referenced by core_open(), create_signal_event_object(), darwin_decode_message(), gdb_signal_to_host(), gnu_resume(), go32_resume(), handle_command(), info_program_command(), linux_nat_attach(), print_signal_exited_reason(), print_signal_received_reason(), remote_wait_as(), resume_1(), sig_print_info(), signal_command(), signal_completer(), signal_to_name_or_int(), startup_inferior(), and target_debug_print_signals().

## ◆ gdb_signal_to_string()

const char* gdb_signal_to_string | ( | enum | gdb_signal | ) |

Definition at line 68 of file signals.c.

References GDB_SIGNAL_FIRST, and signals.

Referenced by core_open(), get_detach_signal(), info_program_command(), linux_nat_attach(), print_signal_exited_reason(), print_signal_received_reason(), sig_print_info(), signal_command(), and startup_inferior().

## ◆ gdb_signal_to_symbol_string()

const char* gdb_signal_to_symbol_string | ( | enum gdb_signal | sig | ) |

Definition at line 59 of file signals.c.

References gdb_assert, GDB_SIGNAL_FIRST, and signals.

Referenced by handle_signal_stop(), proceed(), resume_1(), and target_waitstatus_to_string().